# $Revision: 1.167.2.3 $, $Date: 2012/01/03 16:35:11 $
#
# Conditional build:
%bcond_without	kerberos5	# disable kerberos5 support
#
Summary:	Concurrent Versioning System
Summary(de.UTF-8):	Concurrent-Versioning-System
Summary(es.UTF-8):	Control de versiones en modo concurrente
Summary(fr.UTF-8):	Un système pour maintenir à jour des fichiers
Summary(pl.UTF-8):	Concurrent Versioning System
Summary(pt_BR.UTF-8):	Controle de versões em modo concorrente
Summary(ru.UTF-8):	Система управления версиями
Summary(tr.UTF-8):	Sürüm denetim sistemi
Summary(uk.UTF-8):	Система керування версіями
Summary(zh_CN.UTF-8):	并发的版本管理系统CVS
Name:		cvs
Version:	1.11.23
Release:	1
License:	GPL
Group:		Development/Version Control
# new: ftp://ftp.gnu.org/non-gnu/cvs/source/feature/%{version}/%{name}-%{version}.tar.bz2
Source0:	ftp://ftp.gnu.org/non-gnu/cvs/source/stable/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	0213ea514e231559d6ff8f80a34117f0
Source1:	%{name}.inetd
# based on:	http://www.t17.ds.pwr.wroc.pl/~misiek/ipv6/cvs-1.11.2-20020513-ipv6.patch.gz
Patch0:		%{name}-ipv6.patch
Patch1:		%{name}-zlib.patch
Patch2:		%{name}-fixed_buffer.patch
Patch3:		%{name}-home_etc.patch
Patch4:		%{name}-newnline.patch
Patch5:		%{name}-no_libnsl.patch
Patch6:		%{name}-info.patch
Patch8:		%{name}-posix.patch
Patch9:		%{name}-CAN_2005_2693.patch
Patch10:	%{name}-cvspass.patch
URL:		http://www.non-gnu.org/cvs/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.7.9
%{?with_kerberos5:BuildRequires:	heimdal-devel >= 0.7}
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
BuildRequires:	zlib-devel
Provides:	cvs-client = %{version}
Obsoletes:	cvs-client
Obsoletes:	cvs-nserver-client
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_cvs_root	/var/lib/cvs

%description
CVS means Concurrent Version System; it is a version control system
which can record the history of your files (usually, but not always,
source code). CVS only stores the differences between versions,
instead of every version of every file you've ever created. CVS also
keeps a log of who and when made some changes and why they occurred,
among other aspects.

CVS is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVS provides version control for a hierarchical collection
of directories consisting of revision controlled files. These
directories and files can then be combined together to form a software
release.

%description -l de.UTF-8
CVS ist ein Frontend für das RCS(1)-Revisionskontrollsystem, das den
Begriff der Revisionskontrolle von einer Sammlung von Dateien in einem
einzelnen Verzeichnis auf eine ganze Hierarchie ausweitet, bestehend
aus revisionskontrollierten Dateien. Diese Verzeichnisse und Dateien
lassen sich zu einer Software-Release kombinieren. CVS bietet die
Funktionen, die zur Verwaltung von Software-Releases und zur
Überwachung der gleichzeitigen Bearbeitung von Quelldateien durch
mehrere Software-Entwickler notwendig sind.

%description -l es.UTF-8
CVS significa "Concurrent Version System" (sistema concurrente de
control de versiones). Puede guardar la historia de sus ficheros
(normalmente, pero no necesariamente, código fuente). CVS sólo guarda
las diferencias entre las versiones, en vez de guardar cada una de las
versiones de cada fichero que haya creado. CVS también mantiene un
registro de quién y cuándo realizó un cambio, el porqué del cambio,
etc.

CVS es muy útil para manejar los releases y controlar la edición
concurrente de los ficheros fuente entre varios autores. En vez de
proveer control de versiones para una colección de ficheros en un solo
directorio, CVS la provee para una colección jerárquica de directorios
que consistan de ficheros de revisiones controladas. Esos directorios
y ficheros pueden luego ser reunidos para formar un release de
software.

%description -l fr.UTF-8
"CVS" signifie "Concurrent Version System". C'est un système de
comparaison de versions de fichiers, qui peut garder une trace des
changements apportés à des fichiers (le plus souvent, les fichiers des
sources d'un programme). CVS conserve seulement les différences, et
non l'intégralité d'un fichier récent et d'un fichier plus ancien. A
chaque modification d'un fichier, CVS garde (entre autres) le nom de
la personne ayant fait la modification, la raison justifiant cette
modification, et la date à laquelle celle-ci a eu lieu.

CVS est très utile pour gérer la mise en commun des modifications
apportées par plusieurs personnes travaillant en parallèle sur les
mêmes fichiers. Au lieu de garder plusieurs versions des fichiers dans
un seul répertoire, CVS crée une série de répertoires, chacun
contenant une nouvelle version des fichiers. Ces répertoires et ces
fichiers peuvent ensuite être regroupés pour former la version la plus
à jour du logiciel. Installez ce package si vous avez besoin
d'utiliser un système de contrôle de version.

%description -l pl.UTF-8
CVS jest nakładką na rcs (Revision Control System, czyli w wolnym
tłumaczeniu system kontroli wersji zasobów), który rozszerza
możliwości rcs'a z narzędzia do kontroli zbioru plików w pojedynczym
katalogu o możliwość kontroli zbioru hierarchicznie ułożonych
katalogów z plikami. Z pomocą CVS w łatwy sposób można zarządzać kodem
źródłowym opracowywanym przez nawet bardzo duże zespoły programistów
umożliwiając śledzenie i kontrolę wszystkich zmian w trakcie pracy nad
projektami i wypuszczaniem pełnych wersji oprogramowania (release).

%description -l pt_BR.UTF-8
CVS é um front end para o rcs(1) - revision control system - que
estende a noção de controle de revisão de uma coletânea de arquivo em
um único diretório para uma coleção hierárquica de diretórios que
contém arquivos controlados por revisão. Esses diretórios e arquivos
podem ser combinados juntos para criar uma release de software. CVS
oferece as funções necessárias para administrar essas release de
software e para controlar a edição concorrente de arquivos fonte por
múltiplos programadores.

%description -l ru.UTF-8
CVS (Concurrent Version System) - это система управления версиями,
которая умеет записать историю ваших файлов (обычно, но не всегда, это
исходные тексты). CVS сохраняет только различия между версиями вместо
каждой версии каждого файла, которая была когда-либо создана. Также
CVS хранит протокол того, кто, когда и зачем что-либо изменил.

CVS очень полезна для организации релизов и управления параллельной
правкой исходных файлов несколькими авторами. Вместо предоставления
управления версиями набора файлов в одном каталоге CVS предоставляет
управление версиями иерархического набора каталогов, состоящих из
файлов, версиями которых надо управллять. Эти файлы и каталоги могут
быть собраны вместе для формирования релиза ПО.

%description -l tr.UTF-8
CVS (Concurrent Versioning System), tek bir dizindeki dosya
topluluğunun sürüm denetimini, denetimi yapılmış dizinlerin hiyerarşik
topluluğuna genişleten rcs(1) sürüm denetim sisteminin ön yüzüdür. Bu
dizin ve dosyalar, bir yazılım yayını oluşturma amacıyla biraraya
getirilebilir. CVS, bu yazılım yayınlarının yönetilmesini ve kaynak
dosyaları bakımının birden çok yazılım geliştiricisi tarafından
eşzamanlı olarak yapılmasını kontrol etmek için gereken işlevleri
sağlar.

%description -l uk.UTF-8
CVS (Concurrent Version System) - це система керування версіями, яка
вміє записати історію ваших файлів (зазвичай, але не завжди, це
вихідні тексти). CVS зберігає тільки різницю між версіями замість
кожної версії кожного файлу, яка була колись створена. Також CVS
зберігає протокол того, хто, коли і навіщо щось змінив.

CVS дуже корисна для організацію релізів та керування паралельною
правкою визідних файлів кількома авторами. Замість надання можливості
керування версіями набору файлів в одному каталозі, CVS надає
можливість керування ієрархічним набором каталогів, що складаються з
файлів, версіями котрих треба керувати. Ці файли та каталоги можуть
бути зібрані разом для формування релізу ПЗ.

%package pserver
Summary:	rc-inetd config files to run CVS pserver
Summary(es.UTF-8):	Ficheros de configuración de rc-inetd para un servidor CVS pserver
Summary(pl.UTF-8):	Pliki konfiguracyjne rc-inetd do postawienia pservera CVS
Group:		Development/Version Control
Requires(post):	fileutils
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name} = %{version}-%{release}
Requires:	rc-inetd
Provides:	group(cvs)
Provides:	user(cvs)
Obsoletes:	cvs-nserver-common
Obsoletes:	cvs-nserver-nserver
Obsoletes:	cvs-nserver-pserver

%description pserver
Config files for rc-inetd that are necessary to run CVS in pserver
mode.

%description pserver -l es.UTF-8
Los ficheros de configuración rc-inetd necesarios para ejecutar CVS en
el modo de pserver.

%description pserver -l pl.UTF-8
Pliki konfiguracyjne rc-inetd niezbędne do uruchomienia CVSa w trybie
pserver.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-server \
	--enable-client \
	--enable-rootcommit \
	--with%{!?with_kerberos5:out}-gssapi \
	--with-tmpdir=/tmp \
	--with-rsh=%{_bindir}/ssh \
	--with-editor=/bin/vi

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/sysconfig/rc-inetd,%{_cvs_root}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/cvs

rm -f contrib/{.cvsignore,Makefile*,*.pl,*.sh,*.csh}
mv -f $RPM_BUILD_ROOT%{_datadir}/cvs/contrib/rcs2log $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%pre pserver
%groupadd -f -g 52 cvs
%useradd -g cvs -d %{_cvs_root} -u 52 -s /bin/false cvs

%post pserver
if [ "$1" = "1" ]; then
	# Initialise repository
	%{_bindir}/cvs -d :local:%{_cvs_root} init
	chown -R cvs:cvs %{_cvs_root}/CVSROOT
fi
%service -q rc-inetd reload

%postun pserver
if [ "$1" = "0" ]; then
	%userremove cvs
	%groupremove cvs
	%service -q rc-inetd reload
fi

%triggerpostun -- cvs-pserver < 1.1.13-1
echo "Warning: default cvsroot moved to %{_cvs_root}."
echo "Check your configration."

%files
%defattr(644,root,root,755)
%doc BUGS FAQ MINOR-BUGS NEWS PROJECTS TODO README
%doc ChangeLog doc/*.pdf contrib
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[158]/*
%{_infodir}/cvs*

%files pserver
%defattr(644,root,root,755)
%attr(770,root,cvs) %dir %{_cvs_root}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/cvs

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cvs.spec,v $
Revision 1.167.2.3  2012/01/03 16:35:11  glen
- up to 1.11.23

Revision 1.167.2.2  2008/03/25 23:15:51  glen
- cvs-client virtual, avoid /bin/sh dep in scriptlets; rel 6

Revision 1.167.2.1  2008-03-25 23:14:13  glen
- convert to utf8

Revision 1.167  2006-08-09 06:48:55  arekm
- rel 5

Revision 1.166  2006/04/14 14:33:29  glen
- rel 4

Revision 1.165  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.164  2006/01/13 22:22:15  adamg
- reapplied fixed -cvspass.patch
- trimmed down previous changelog entry

Revision 1.163  2006/01/13 22:08:30  twittner
- -cvspass.patch removed - causes segfault when .cvspass is not accessible:

Revision 1.162  2005/12/01 23:28:53  hawk
- removed ACL patch (its no longer maintained + it has memleaks and possible SEGVs)
- release 2

Revision 1.161  2005/11/16 18:46:09  qboosh
- updated Source0 URL

Revision 1.160  2005/10/24 11:29:46  qboosh
- added acl-fixes patch

Revision 1.159  2005/10/24 08:45:30  qboosh
- new URLs, updated to 1.11.21

Revision 1.158  2005/09/13 04:32:36  krolik
- fix of CAN-2005-2693 security issue
- rel. 2, STBR

Revision 1.157  2005/07/08 18:06:23  arekm
- BR heimdal-devel >= 0.7

Revision 1.156  2005/05/02 18:23:51  glen
- adapterized

Revision 1.155  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.154  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.153  2005/04/26 20:37:06  pluto
- updated to 1.11.20 (mainly server security fixes).

Revision 1.152  2005/03/14 19:08:48  hawk
- updated cvs-acl.patch
- release 2 (1 will be for Ra)

Revision 1.151  2005/02/28 11:03:08  saq
- disable pointless root commit blockade

Revision 1.150  2005/02/26 20:34:00  qboosh
- updated to 1.11.19 (bugfixes), working URL

Revision 1.149  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.148  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.147  2004/11/22 09:35:47  hawk
- rel 3 (2 for RA)

Revision 1.146  2004/11/14 14:37:00  hawk
- updated to 1.11.18
- bconded acl patch

Revision 1.145  2004/11/10 13:47:03  paladine
- cosmetics

Revision 1.144  2004/09/14 15:00:48  saq
- removed security notice, has been fixed since 1.11.17

Revision 1.143  2004/08/25 07:05:50  ankry
- rel. 4

Revision 1.142  2004/08/23 09:34:25  blues
- SECURITY note

Revision 1.141  2004/08/17 22:45:45  ankry
- added proper BR: rpmbuild(macros)

Revision 1.140  2004/08/17 21:34:34  ankry
- use user/group macros

Revision 1.139  2004/08/04 08:54:43  hawk
- ACL patch updated to 1.2.1, release 3

Revision 1.138  2004/06/23 19:22:27  hawk
- added readme for access list extension to doc

Revision 1.137  2004/06/11 08:08:45  jack
- rel 1 for RA, 2 for AC

Revision 1.136  2004/06/11 07:33:05  pluto
- S0: fixed.

Revision 1.135  2004/06/11 07:31:01  pluto
- security update (CAN-2004-{0414,0416,0417,0418}).
- release 1.

Revision 1.134  2004/06/06 22:47:14  hawk
- added ACL patch, http://cvsacl.sourceforge.net/

Revision 1.133  2004/05/19 19:34:46  qboosh
- updated to 1.11.16 (fixes CAN-2004-0396 - remote buffer overflow)
- release 2 (1 reserved for Ra)

Revision 1.132  2004/05/19 13:05:00  areq
- fix build without_kerberos5

Revision 1.131  2004/04/23 23:19:59  arekm
- rel3; fix rcs2log.sh script

Revision 1.130  2004/04/16 08:35:43  qboosh
- security update to 1.11.15 (path validation on client side)
- updated ipv6 patch, release 2 for Ac

Revision 1.129  2004/03/14 12:52:42  adamg
- updated to 1.11.14

Revision 1.128  2004/02/16 08:57:02  qboosh
- one more fix in trigger message

Revision 1.127  2004/02/15 18:58:19  orzech
- fixed trigger, name it typo if you want...

Revision 1.126  2004/02/15 18:54:48  orzech
- finally in /var/lib/cvs
- example for /srv in cvs.inetd (as comment)

Revision 1.125  2004/02/15 16:56:53  orzech
- up to 1.1.13
- back to /home/services

Revision 1.124  2004/02/04 15:41:22  averne
- /home/services -> /srv
- rel 3

Revision 1.123  2004/01/18 11:31:59  arekm
- use ssh instead of rsh by default

Revision 1.122  2004/01/16 14:54:46  saq
- fix automake BR

Revision 1.121  2004/01/06 15:26:06  qboosh
- typo fix by adamg (merged from RA-branch)

Revision 1.120  2004/01/02 20:13:23  twittner
- added --with-editor=/bin/vi to %configure. It prevents "buildtime"
  detection (from builder environment), which editor will be used as
  default, when env. values, such as EDITOR, VISUAL, CVSEDITOR are empty.

Revision 1.119  2003/12/20 18:15:15  qboosh
- updated to 1.11.11 - security enhancement: pserver can no longer be
  configured to run as root via the CVSROOT/passwd file, so if passwd file is
  compromised, it no longer leads directly to a root hack

Revision 1.118  2003/12/09 11:15:23  qboosh
- updated ac/am BRs, use kerberos5 bcond in build
- release 2 (1 is for Ra)

Revision 1.117  2003/12/07 16:31:13  qboosh
- updated to 1.11.10 - contains security fix for malformed module requests
  which could cause CVS server (to attempt) to create directories and
  possibly files at the root of the filesystem holding the CVS repository
  (limited by filesystem permissions of course); now they are rejected.

Revision 1.116  2003/12/06 19:07:58  qboosh
- BR: ac 2.57, am 1.5

Revision 1.115  2003/12/02 09:04:36  tiwek
- release++ for rebuild with db-4.2

Revision 1.114  2003/11/15 20:08:18  saq
- retranslated es
- typo & grammar in other places

Revision 1.113  2003/11/15 16:38:51  wrobell
- bcond for kerberos support /changes by Pawel Sikora/

Revision 1.112  2003/10/15 17:34:56  arekm
- updated to 1.11.9 and enabled GSSAPI support

Revision 1.111  2003/10/10 22:23:45  qboosh
- grrr, info patch is back (updated)
- updated to 1.11.8 (fixes problem in the CVS getpass library that could
  cause passwords to echo on some systems)
- updated ipv6 patch

Revision 1.110  2003/09/30 09:02:59  arekm
- updated to 1.11.7

Revision 1.109  2003/08/30 12:31:29  mmazur
- rel 1 for ac

Revision 1.108  2003/08/12 13:43:51  qboosh
- standardized user/group creation

Revision 1.107  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.106  2003/07/25 21:28:58  krzak
- added --with-tmpdir=/tmp

Revision 1.105  2003/06/01 17:08:47  qboosh
- updated ipv6 patch (!tested)

Revision 1.104  2003/05/30 10:27:29  qboosh
- fixed Source0 URL, noted new feature release URL

Revision 1.103  2003/05/27 10:50:05  misi3k
- rel 0.1
- updated to 1.11.6
- removed tmprace patch not needed
  TODO: fix IPv6 patch

Revision 1.102  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.101  2003/05/25 05:46:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.100  2003/01/21 08:25:59  qboosh
- more friendly Source0 URL

Revision 1.99  2003/01/20 23:51:54  kloczek
- updated to 1.11.5: fixes a major security vulnerability (CAN-2003-0015).

Revision 1.98  2003/01/18 13:25:09  qboosh
- added Obsoletes: for cvs-nserver packages

Revision 1.97  2003/01/17 20:09:39  qboosh
- up to 1.11.4
- removed obsolete libobj,chmod,ac,pserver-dos patches
- updated zlib,home_etc patches, added no_libnsl patch
- release 0.9 - need to check (especially home_etc)

Revision 1.96  2002/12/12 13:13:25  qboosh
- fixed Source0 URL

Revision 1.95  2002/12/11 15:11:41  orzech
- new version of home_etc.patch
- rel. 7

Revision 1.94  2002/12/07 12:14:38  orzech
- /home/cvsroot -> /home/services/cvsroot

Revision 1.93  2002/12/03 21:33:55  ankry
- cleaning

Revision 1.92  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.91  2002/09/30 09:55:51  aniou
- remove '-m' from useradd in cvs-pserver

Revision 1.90  2002/08/06 10:10:51  kloczek
- typo.

Revision 1.89  2002/08/06 09:15:13  kloczek
- release 6: added newnline patch (add empty line initial commit message).

Revision 1.88  2002/08/04 21:03:43  areq
- add ac.patch

Revision 1.87  2002/07/02 18:03:30  qboosh
- disabled DoS feature in pserver (passing no commit message from client
  caused locking module and spawning editor on server - forever...);
  credits: orzech for noticing vi on cvs's process list ;)
- new %doc
- release 5

Revision 1.86  2002/06/02 06:47:49  kloczek
- merge translations from Conectiva and TurboLinux.

Revision 1.85  2002/06/01 23:03:40  orzech
- home_etc patch added
- rel 4

Revision 1.84  2002/05/21 23:12:46  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.83  2002/05/17 10:37:36  filon
- commited cvspass patch wasn't that what I wanted to commit, fixed
- release 3

Revision 1.82  2002/05/16 19:11:09  kloczek
- release 2: fixed ipv6 patch.

Revision 1.81  2002/05/16 15:41:13  kloczek
- Update to this versin is importand on cvs servers where exist Ro accout.
  Previous version have bug which allow tag files withut RO access.
- release 1,
- merge translations from KSI,
- enable ipv6 patch.

Revision 1.80  2002/05/16 13:06:57  filon
- unfortuantelly ipv6 patch breaks build
- temp. don't apply it, release 0.6

Revision 1.79  2002/05/15 20:56:38  filon
- ok, release really 0.5
- updated entry for ipv6 patch

Revision 1.78  2002/05/15 20:51:02  filon
- updated to 1.11.2
- removed incorporated no_new_am.patch, fixed_buffer.patch, timestamp.patch
- removed unneeded hash-in-Makefile.am.patch
- updated other patches
- modified cvspass.patch to nod change output of cvs log (breaks cvs testsuite)
- added libobj.patch and chmod.patch (for autoconf)
- release 0.5 (waiting for kloczek's changes)

Revision 1.76  2002/04/25 16:08:42  arturs
- fixed a small typo

Revision 1.75  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.74  2002/03/11 21:07:44  misiek
- cvspass + timestamp fixes; release 7

Revision 1.73  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.72  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.71  2002/02/15 13:03:27  kloczek
- adapterized.

Revision 1.70  2002/02/15 12:49:41  malekith
- release 6
- added fixed_buffer patch that fixes problems with cvs pserver growing in
  memory toward +Infty :)

Revision 1.69  2002/01/18 02:12:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.68  2001/09/11 13:09:35  dobrek
- stift /home/cvsroot changed into macro %{_cvs_root}

Revision 1.67  2001/08/30 15:50:08  wiget
- allow building with automake 1.5
- release 5

Revision 1.66  2001/08/04 17:35:55  qboosh
- release 4: fixed info patch and typos in spec

Revision 1.65  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.63  2001/07/16 21:43:02  kloczek
- release 3: realy install in proper way rcs2log.

Revision 1.62  2001/07/16 14:45:11  kloczek
- release 2,
- move rcs2log to %{_bindir},
- regenerate ac/am/lt files for make spec ac 2.50 ready,
- aded no_new_am patch for remove require am >= 1.4a on rebuild am files
  (we have now 1.4 pl4 and now am >= 1.4a is requires for produce bzipped2
  tara ball on "make dist").

Revision 1.61  2001/07/09 13:54:46  kloczek
- reelase 2.

Revision 1.60  2001/06/26 15:37:54  mguevara
- changed useradd .. -M to -m in pre pserver

Revision 1.59  2001/05/31 15:29:42  kloczek
- updated to 1.11.1p1.

Revision 1.58  2001/05/31 11:49:04  baggins
- updated to 1.11.1

Revision 1.57  2001/04/13 06:03:28  kloczek
- simplification in %files.

Revision 1.56  2001/04/13 06:02:05  kloczek
- release 4.

Revision 1.55  2001/04/12 20:55:38  qboosh
- changed useradd option: s/-m/-M/
- moved fix-info-dir to post/postun of base package

Revision 1.54  2001/01/27 19:41:50  dobrek
- Added %config makro in front of /etc/sysconfig/rc-inetd/cvs

Revision 1.53  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.52  2000/11/03 17:07:35  kloczek
- release 3.

Revision 1.51  2000/11/03 14:57:09  misiek
- new ipv6 patch with -4, -6 options

Revision 1.50  2000/10/01 07:28:36  kloczek
- release 2: use rpm new automation suit.

Revision 1.49  2000/09/21 21:43:39  kloczek
- updated to 1.11,
- removed outdated auth patch,
- switch %install to DESTDIR style install (added DESTDIR patch).

Revision 1.48  2000/09/09 22:39:19  kloczek
- adapterized.

Revision 1.47  2000/09/07 06:54:50  mkochano
- Release 11.
- Rebuild with modified rc-inetd configuration file.

Revision 1.46  2000/08/23 12:47:13  kloczek
- release 10.

Revision 1.45  2000/08/23 06:15:28  bszx
- cvs-pserver pre/postinstall scripts use /etc/rc.d/init.d/rc-inetd reload
  now

Revision 1.44  2000/08/02 17:37:13  mis
- fix: cvs user is created with uid 52 not 15

Revision 1.43  2000/08/02 17:05:04  wiget
- /home/cvsroot moved to pserver subpackage

Revision 1.42  2000/08/01 15:01:30  kloczek
- release 7,
- fixed bugs: move all pserver %pre/%post(un) to pserver subpackage.

Revision 1.41  2000/07/27 09:09:31  mis
- remove cvs usage in cvs %pre
- added -m option to useradd
- moved contribs to %doc/contrib/ subdir and cleanup it
- moved /home/cvsroot from pserver to cvs package (user is cvs created by cvs)

Revision 1.40  2000/07/11 13:41:33  baggins
- release 6
- fixed duplicate %postun

Revision 1.39  2000/07/09 16:39:16  zagrodzki
- user/group moved to cvs package

Revision 1.38  2000/06/09 07:54:40  kloczek
- more %{__make} macros.

Revision 1.37  2000/06/09 07:22:48  kloczek
- added using %{__make} macro.

Revision 1.36  2000/05/30 04:43:09  kloczek
- release 4,
- added patch for building cvs against system libz.so (zlib patch),
- add missing symbols in acconfig.h (auth patch).

Revision 1.35  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.34  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.33  2000/05/15 12:59:32  zagrodzki
- added cvs-pserver package

Revision 1.32  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.31  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.30  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.29  2000/02/23 16:37:52  misiek
- new IPv6 patch

Revision 1.28  2000/02/22 11:38:47  kloczek
- updated to 1.10.8,
- spec adapterized,
- ipv6 support removed (must be prepared new patch for 1.10.8),
- removed non neccessary stripping in %install ("-s" is passed to linking
  options).

Revision 1.27  1999/11/13 18:38:23  kloczek
- release 3,
- removed duplicated fr translation.

Revision 1.26  1999/11/09 07:17:40  kura
- fixed Group(pl)

Revision 1.25  1999/09/14 22:03:39  kloczek
- removed %patch3.

Revision 1.24  1999/09/14 22:03:02  kloczek
- new %descriptions (en and fr) from madrake spec.

Revision 1.23  1999/09/14 21:12:46  kloczek
- release 2,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.22  1999/09/03 15:58:02  misiek
- updated and IPv6 enabled

Revision 1.21  1999/07/23 14:04:05  kloczek
- release 2,
- added using %configure macro.

Revision 1.20  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 30 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.10.6-1]
- based on RH spec,
- spec rewrited by PLD team.
